#
# spec file for package phonon-backend-xine (Version 4.4.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           phonon-backend-xine
BuildRequires:  alsa-devel automoc4 cmake kde4-filesystem phonon-devel
%if %suse_version == 1030
BuildRequires:  libxine-devel
%else
BuildRequires:  xine-devel
%endif
BuildRequires:  gstreamer-0_10-plugins-base-devel
BuildRequires:  fdupes
Version:        4.4.2
Release:        1.5
License:        LGPLv2.0+
Url:            http://phonon.kde.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Development/Libraries/KDE
Summary:        Phonon Multimedia Platform Abstraction
Source0:        phonon-%{version}.tar.bz2
%if %suse_version > 1030
%requires_ge    libqt4
%endif
Provides:       phonon-backend = %version
Requires:       libphonon4 = %version
Supplements:    packageand(libxine1-codecs:phonon)

%description
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.



Authors:
--------
    Matthias Kretz

%if %suse_version > 1010

%package -n phonon-backend-gstreamer-0_10
License:        LGPLv2.0+
Summary:        Phonon Multimedia Platform Abstraction
Group:          Development/Libraries/KDE
Provides:       phonon-backend = %version
Requires:       libphonon4 = %version

%description -n phonon-backend-gstreamer-0_10
Phonon is a cross-platform portable Multimedia Support Abstraction,
which allows you to play multiple audio or video formats with the same
quality on all platforms, no matter which underlying architecture is
used.



Authors:
--------
    Matthias Kretz

%endif

%prep
%setup -q -n phonon-%version

%build
  # compile everything for now, actually we should compile
  # against installed phonon, but this is always the same
  # in OBS setup
  %cmake_kde4 -d build
  cd gstreamer
  %make_jobs
  cd ../xine
  %make_jobs

%install
  cd build/gstreamer
  %makeinstall
  cd ../xine
  %makeinstall
%if %suse_version > 1020
  %fdupes $RPM_BUILD_ROOT/usr/include
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%_kde4_modules/plugins/phonon_backend/phonon_xine.so
%_kde_share_dir/services/phononbackends/xine.desktop
/usr/share/icons/*/*/apps/phonon-xine.*

%files -n phonon-backend-gstreamer-0_10
%defattr(-,root,root)
%_kde4_modules/plugins/phonon_backend/phonon_gstreamer.so
%_kde_share_dir/services/phononbackends/gstreamer.desktop

%changelog
* Sat May 22 2010 cmorve69@yahoo.es
- fix remote URLs support
* Tue Oct 20 2009 adrian@suse.de
- split plugins away in own spec file, this avoids build triggers
  from gnome or xine framework to entire KDE
- minor spec file cleanup (remove support of outdated distros)
* Wed May 13 2009 dmueller@suse.de
- add versioned dependencies
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.3.1:
  * sync with the version in Qt 4.5.0, various bugfixes
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.3.0:
  * Qt 4.5 fixes
  * fix volume handling / volume fader
* Mon Jan 12 2009 dmueller@suse.de
- update to 4.2.96:
  * new phonon backend without KDE dependencies
  * other improvements necessary for KDE 4.2
* Fri Jan  9 2009 llunak@suse.cz
- patch for ogg support (bnc#438718)
* Tue Oct 21 2008 dmueller@suse.de
- add versioned requires on libphonon4
* Wed Sep 10 2008 dmueller@suse.de
- fix build for older distros
* Tue Jul 22 2008 dmueller@suse.de
- update to 4.2.0:
  * bugfixes
* Thu Jul  3 2008 aj@suse.de
- Add baselibs.conf for libphonon.
* Thu Jul  3 2008 dmueller@suse.de
- enable gstreamer-010 based backend
* Fri Jun 20 2008 dmueller@suse.de
- update to 4.1.83:
  * more bugfixes, reworked audio device handling
* Tue May 27 2008 dmueller@suse.de
- Initial package (4.1.81)
